export declare const RecordingResult: {
    readonly Started: "started";
    readonly PermissionError: "permission_error";
};
export declare type RecordingStartResponse = typeof RecordingResult[keyof typeof RecordingResult];
export declare type RecordScreenConfigType = {
    fps?: number;
    bitrate?: number;
    mic?: boolean;
};
export declare type RecordingSuccessResponse = {
    status: 'success';
    result: {
        outputURL: string;
    };
};
export declare type RecordingErrorResponse = {
    status: 'error';
    result: unknown;
};
export declare type RecordingResponse = RecordingSuccessResponse | RecordingErrorResponse;
declare class ReactNativeRecordScreenClass {
    private setup;
    startRecording(config?: RecordScreenConfigType): Promise<RecordingStartResponse>;
    stopRecording(): Promise<RecordingResponse>;
    clean(): Promise<string>;
}
declare const ReactNativeRecordScreen: ReactNativeRecordScreenClass;
export default ReactNativeRecordScreen;
